Skip to content

Create a phone Switch

Request

You can use the API to deflect phone calls to the Intercom Messenger. Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified.

If custom attributes are specified, they will be added to the user or lead's custom data attributes.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.7"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.7
Bodyapplication/json
phonestringrequired

Phone number in E.164 format, that will receive the SMS to continue the conversation in the Messenger.

Example:"+1 1234567890"
custom_attributesobject(Custom Attributes)

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models.

curl -i -X POST \
  https://api.intercom.io/phone_call_redirects \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.7' \
  -d '{
    "phone": "+353832345678",
    "custom_attributes": {
      "issue_type": "Billing",
      "priority": "High"
    }
  }'

Responses

successful

Bodyapplication/json
typestring
Default:"phone_call_redirect"
Value:"phone_call_redirect"
Example:"phone_call_redirect"
phonestring

Phone number in E.164 format, that has received the SMS to continue the conversation in the Messenger.

Example:"+1 1234567890"
Response
{ "url": "http://via.intercom.io/msgr/d4d46e18-5ee3-4f22-9436-3b886bce7e84", "type": "phone_call_redirect" }